Bug 667774 - [abrt] blueman-1.21-4.fc12: PulseAudioUtils.py:115:pa_context_event:TypeError: sighandler() takes no arguments (2 given)
[abrt] blueman-1.21-4.fc12: PulseAudioUtils.py:115:pa_context_event:TypeError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
12
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:20ea4807
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-06 13:22 EST by Stefan Murariu
Modified: 2012-05-06 00:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: blueman-1.23-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-05 21:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (497 bytes, text/plain)
2011-01-06 13:22 EST, Stefan Murariu
no flags Details

  None (edit)
Description Stefan Murariu 2011-01-06 13:22:47 EST
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/blueman-applet
component: blueman
executable: /usr/bin/blueman-applet
kernel: 2.6.35.4
package: blueman-1.21-4.fc12
reason: PulseAudioUtils.py:115:pa_context_event:TypeError: sighandler() takes no arguments (2 given)
release: Fedora release 12 (Constantine)
time: 1285437532
uid: 500

backtrace
-----
PulseAudioUtils.py:115:pa_context_event:TypeError: sighandler() takes no arguments (2 given)

Traceback (most recent call last):
  File "_ctypes/callbacks.c", line 295, in 'calling callback function'
  File "/usr/lib/python2.6/site-packages/blueman/main/PulseAudioUtils.py", line 115, in pa_context_event
    @staticmethod
TypeError: sighandler() takes no arguments (2 given)

Local variables in innermost frame:
self: <weakproxy at 0x17be158 to PulseAudioUtils at 0x17b6e60>
pa_context: 25726976
Comment 1 Stefan Murariu 2011-01-06 13:22:50 EST
Created attachment 472109 [details]
File: backtrace
Comment 2 Fedora Update System 2012-04-27 06:00:33 EDT
blueman-1.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/blueman-1.23-1.fc17
Comment 3 Fedora Update System 2012-04-27 06:01:01 EDT
blueman-1.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/blueman-1.23-1.fc16
Comment 4 Fedora Update System 2012-04-27 11:43:13 EDT
Package blueman-1.23-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blueman-1.23-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6784/blueman-1.23-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-05 21:29:15 EDT
blueman-1.23-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-06 00:56:46 EDT
blueman-1.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.